Provable Markets

ExecutionService

AckExecutions

PATH: /aurora.core.apiengine.executionsv1.ExecutionService/AckExecutions

SecurityBearer
Request
Request Body schema: application/json
required
execution_ids
Array of strings

executions to ack/unack

is_acknowledged
required
boolean

ack or unack the executions

Responses
200

A successful response

Response Schema: application/json
object (aurora.core.apiengine.executionsv1.AckExecutionsResponse)

ListExecutions

PATH: /aurora.core.apiengine.executionsv1.ExecutionService/ListExecutions

SecurityBearer
Request
Request Body schema: application/json
required
agreement_id
string

Limit the execution list to a certain agreement

instrument_id
string

Limit the execution list to a security

instrument_id_type
string (aurora.core.consts.oms.InstrumentIdType)
Enum: "CUSIP" "TICKER"
is_acknowledged
boolean

optional filter by acknowledged status

side
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
since
required
string

DateTime for query to start looking for executions - time in RFC3339 with millisecond precision

until
string

DateTime for the end of the time window for which to search - time in RFC3339 with millisecond precision

Responses
200

A successful response

Response Schema: application/json
Array of objects (aurora.core.apiengine.executionsv1.Execution)